import e from "./eq.js";
import t from "./keysIn.js";
import n from "./_baseRest.js";
import r from "./_isIterateeCall.js";
//#region ../../node_modules/lodash-es/defaults.js
var i = Object.prototype, a = i.hasOwnProperty, o = n(function(n, o) {
	n = Object(n);
	var s = -1, c = o.length, l = c > 2 ? o[2] : void 0;
	for (l && r(o[0], o[1], l) && (c = 1); ++s < c;) for (var u = o[s], d = t(u), f = -1, p = d.length; ++f < p;) {
		var m = d[f], h = n[m];
		(h === void 0 || e(h, i[m]) && !a.call(n, m)) && (n[m] = u[m]);
	}
	return n;
});
//#endregion
export { o as default };
